(function (exports, React) {
  'use strict';

  function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

  var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

  function styleInject(css, ref) {
    if ( ref === void 0 ) ref = {};
    var insertAt = ref.insertAt;

    if (!css || typeof document === 'undefined') { return; }

    var head = document.head || document.getElementsByTagName('head')[0];
    var style = document.createElement('style');
    style.type = 'text/css';

    if (insertAt === 'top') {
      if (head.firstChild) {
        head.insertBefore(style, head.firstChild);
      } else {
        head.appendChild(style);
      }
    } else {
      head.appendChild(style);
    }

    if (style.styleSheet) {
      style.styleSheet.cssText = css;
    } else {
      style.appendChild(document.createTextNode(css));
    }
  }

  var css_248z$9 = "@tailwind base;@tailwind components;@tailwind utilities;";
  styleInject(css_248z$9);

  function getAugmentedNamespace(n) {
  	if (n.__esModule) return n;
  	var a = Object.defineProperty({}, '__esModule', {value: true});
  	Object.keys(n).forEach(function (k) {
  		var d = Object.getOwnPropertyDescriptor(n, k);
  		Object.defineProperty(a, k, d.get ? d : {
  			enumerable: true,
  			get: function () {
  				return n[k];
  			}
  		});
  	});
  	return a;
  }

  var propTypes = {exports: {}};

  var reactIs = {exports: {}};

  var reactIs_production_min = {};

  /** @license React v16.13.1
   * react-is.production.min.js
   *
   * Copyright (c) Facebook, Inc. and its affiliates.
   *
   * This source code is licensed under the MIT license found in the
   * LICENSE file in the root directory of this source tree.
   */
  var b="function"===typeof Symbol&&Symbol.for,c=b?Symbol.for("react.element"):60103,d=b?Symbol.for("react.portal"):60106,e=b?Symbol.for("react.fragment"):60107,f=b?Symbol.for("react.strict_mode"):60108,g=b?Symbol.for("react.profiler"):60114,h=b?Symbol.for("react.provider"):60109,k=b?Symbol.for("react.context"):60110,l=b?Symbol.for("react.async_mode"):60111,m=b?Symbol.for("react.concurrent_mode"):60111,n=b?Symbol.for("react.forward_ref"):60112,p=b?Symbol.for("react.suspense"):60113,q=b?
  Symbol.for("react.suspense_list"):60120,r=b?Symbol.for("react.memo"):60115,t=b?Symbol.for("react.lazy"):60116,v=b?Symbol.for("react.block"):60121,w=b?Symbol.for("react.fundamental"):60117,x=b?Symbol.for("react.responder"):60118,y=b?Symbol.for("react.scope"):60119;
  function z(a){if("object"===typeof a&&null!==a){var u=a.$$typeof;switch(u){case c:switch(a=a.type,a){case l:case m:case e:case g:case f:case p:return a;default:switch(a=a&&a.$$typeof,a){case k:case n:case t:case r:case h:return a;default:return u}}case d:return u}}}function A(a){return z(a)===m}reactIs_production_min.AsyncMode=l;reactIs_production_min.ConcurrentMode=m;reactIs_production_min.ContextConsumer=k;reactIs_production_min.ContextProvider=h;reactIs_production_min.Element=c;reactIs_production_min.ForwardRef=n;reactIs_production_min.Fragment=e;reactIs_production_min.Lazy=t;reactIs_production_min.Memo=r;reactIs_production_min.Portal=d;
  reactIs_production_min.Profiler=g;reactIs_production_min.StrictMode=f;reactIs_production_min.Suspense=p;reactIs_production_min.isAsyncMode=function(a){return A(a)||z(a)===l};reactIs_production_min.isConcurrentMode=A;reactIs_production_min.isContextConsumer=function(a){return z(a)===k};reactIs_production_min.isContextProvider=function(a){return z(a)===h};reactIs_production_min.isElement=function(a){return "object"===typeof a&&null!==a&&a.$$typeof===c};reactIs_production_min.isForwardRef=function(a){return z(a)===n};reactIs_production_min.isFragment=function(a){return z(a)===e};reactIs_production_min.isLazy=function(a){return z(a)===t};
  reactIs_production_min.isMemo=function(a){return z(a)===r};reactIs_production_min.isPortal=function(a){return z(a)===d};reactIs_production_min.isProfiler=function(a){return z(a)===g};reactIs_production_min.isStrictMode=function(a){return z(a)===f};reactIs_production_min.isSuspense=function(a){return z(a)===p};
  reactIs_production_min.isValidElementType=function(a){return "string"===typeof a||"function"===typeof a||a===e||a===m||a===g||a===f||a===p||a===q||"object"===typeof a&&null!==a&&(a.$$typeof===t||a.$$typeof===r||a.$$typeof===h||a.$$typeof===k||a.$$typeof===n||a.$$typeof===w||a.$$typeof===x||a.$$typeof===y||a.$$typeof===v)};reactIs_production_min.typeOf=z;

  var reactIs_development = {};

  /** @license React v16.13.1
   * react-is.development.js
   *
   * Copyright (c) Facebook, Inc. and its affiliates.
   *
   * This source code is licensed under the MIT license found in the
   * LICENSE file in the root directory of this source tree.
   */



  if (process.env.NODE_ENV !== "production") {
    (function() {

  // The Symbol used to tag the ReactElement-like types. If there is no native Symbol
  // nor polyfill, then a plain number is used for performance.
  var hasSymbol = typeof Symbol === 'function' && Symbol.for;
  var REACT_ELEMENT_TYPE = hasSymbol ? Symbol.for('react.element') : 0xeac7;
  var REACT_PORTAL_TYPE = hasSymbol ? Symbol.for('react.portal') : 0xeaca;
  var REACT_FRAGMENT_TYPE = hasSymbol ? Symbol.for('react.fragment') : 0xeacb;
  var REACT_STRICT_MODE_TYPE = hasSymbol ? Symbol.for('react.strict_mode') : 0xeacc;
  var REACT_PROFILER_TYPE = hasSymbol ? Symbol.for('react.profiler') : 0xead2;
  var REACT_PROVIDER_TYPE = hasSymbol ? Symbol.for('react.provider') : 0xeacd;
  var REACT_CONTEXT_TYPE = hasSymbol ? Symbol.for('react.context') : 0xeace; // TODO: We don't use AsyncMode or ConcurrentMode anymore. They were temporary
  // (unstable) APIs that have been removed. Can we remove the symbols?

  var REACT_ASYNC_MODE_TYPE = hasSymbol ? Symbol.for('react.async_mode') : 0xeacf;
  var REACT_CONCURRENT_MODE_TYPE = hasSymbol ? Symbol.for('react.concurrent_mode') : 0xeacf;
  var REACT_FORWARD_REF_TYPE = hasSymbol ? Symbol.for('react.forward_ref') : 0xead0;
  var REACT_SUSPENSE_TYPE = hasSymbol ? Symbol.for('react.suspense') : 0xead1;
  var REACT_SUSPENSE_LIST_TYPE = hasSymbol ? Symbol.for('react.suspense_list') : 0xead8;
  var REACT_MEMO_TYPE = hasSymbol ? Symbol.for('react.memo') : 0xead3;
  var REACT_LAZY_TYPE = hasSymbol ? Symbol.for('react.lazy') : 0xead4;
  var REACT_BLOCK_TYPE = hasSymbol ? Symbol.for('react.block') : 0xead9;
  var REACT_FUNDAMENTAL_TYPE = hasSymbol ? Symbol.for('react.fundamental') : 0xead5;
  var REACT_RESPONDER_TYPE = hasSymbol ? Symbol.for('react.responder') : 0xead6;
  var REACT_SCOPE_TYPE = hasSymbol ? Symbol.for('react.scope') : 0xead7;

  function isValidElementType(type) {
    return typeof type === 'string' || typeof type === 'function' || // Note: its typeof might be other than 'symbol' or 'number' if it's a polyfill.
    type === REACT_FRAGMENT_TYPE || type === REACT_CONCURRENT_MODE_TYPE || type === REACT_PROFILER_TYPE || type === REACT_STRICT_MODE_TYPE || type === REACT_SUSPENSE_TYPE || type === REACT_SUSPENSE_LIST_TYPE || typeof type === 'object' && type !== null && (type.$$typeof === REACT_LAZY_TYPE || type.$$typeof === REACT_MEMO_TYPE || type.$$typeof === REACT_PROVIDER_TYPE || type.$$typeof === REACT_CONTEXT_TYPE || type.$$typeof === REACT_FORWARD_REF_TYPE || type.$$typeof === REACT_FUNDAMENTAL_TYPE || type.$$typeof === REACT_RESPONDER_TYPE || type.$$typeof === REACT_SCOPE_TYPE || type.$$typeof === REACT_BLOCK_TYPE);
  }

  function typeOf(object) {
    if (typeof object === 'object' && object !== null) {
      var $$typeof = object.$$typeof;

      switch ($$typeof) {
        case REACT_ELEMENT_TYPE:
          var type = object.type;

          switch (type) {
            case REACT_ASYNC_MODE_TYPE:
            case REACT_CONCURRENT_MODE_TYPE:
            case REACT_FRAGMENT_TYPE:
            case REACT_PROFILER_TYPE:
            case REACT_STRICT_MODE_TYPE:
            case REACT_SUSPENSE_TYPE:
              return type;

            default:
              var $$typeofType = type && type.$$typeof;

              switch ($$typeofType) {
                case REACT_CONTEXT_TYPE:
                case REACT_FORWARD_REF_TYPE:
                case REACT_LAZY_TYPE:
                case REACT_MEMO_TYPE:
                case REACT_PROVIDER_TYPE:
                  return $$typeofType;

                default:
                  return $$typeof;
              }

          }

        case REACT_PORTAL_TYPE:
          return $$typeof;
      }
    }

    return undefined;
  } // AsyncMode is deprecated along with isAsyncMode

  var AsyncMode = REACT_ASYNC_MODE_TYPE;
  var ConcurrentMode = REACT_CONCURRENT_MODE_TYPE;
  var ContextConsumer = REACT_CONTEXT_TYPE;
  var ContextProvider = REACT_PROVIDER_TYPE;
  var Element = REACT_ELEMENT_TYPE;
  var ForwardRef = REACT_FORWARD_REF_TYPE;
  var Fragment = REACT_FRAGMENT_TYPE;
  var Lazy = REACT_LAZY_TYPE;
  var Memo = REACT_MEMO_TYPE;
  var Portal = REACT_PORTAL_TYPE;
  var Profiler = REACT_PROFILER_TYPE;
  var StrictMode = REACT_STRICT_MODE_TYPE;
  var Suspense = REACT_SUSPENSE_TYPE;
  var hasWarnedAboutDeprecatedIsAsyncMode = false; // AsyncMode should be deprecated

  function isAsyncMode(object) {
    {
      if (!hasWarnedAboutDeprecatedIsAsyncMode) {
        hasWarnedAboutDeprecatedIsAsyncMode = true; // Using console['warn'] to evade Babel and ESLint

        console['warn']('The ReactIs.isAsyncMode() alias has been deprecated, ' + 'and will be removed in React 17+. Update your code to use ' + 'ReactIs.isConcurrentMode() instead. It has the exact same API.');
      }
    }

    return isConcurrentMode(object) || typeOf(object) === REACT_ASYNC_MODE_TYPE;
  }
  function isConcurrentMode(object) {
    return typeOf(object) === REACT_CONCURRENT_MODE_TYPE;
  }
  function isContextConsumer(object) {
    return typeOf(object) === REACT_CONTEXT_TYPE;
  }
  function isContextProvider(object) {
    return typeOf(object) === REACT_PROVIDER_TYPE;
  }
  function isElement(object) {
    return typeof object === 'object' && object !== null && object.$$typeof === REACT_ELEMENT_TYPE;
  }
  function isForwardRef(object) {
    return typeOf(object) === REACT_FORWARD_REF_TYPE;
  }
  function isFragment(object) {
    return typeOf(object) === REACT_FRAGMENT_TYPE;
  }
  function isLazy(object) {
    return typeOf(object) === REACT_LAZY_TYPE;
  }
  function isMemo(object) {
    return typeOf(object) === REACT_MEMO_TYPE;
  }
  function isPortal(object) {
    return typeOf(object) === REACT_PORTAL_TYPE;
  }
  function isProfiler(object) {
    return typeOf(object) === REACT_PROFILER_TYPE;
  }
  function isStrictMode(object) {
    return typeOf(object) === REACT_STRICT_MODE_TYPE;
  }
  function isSuspense(object) {
    return typeOf(object) === REACT_SUSPENSE_TYPE;
  }

  reactIs_development.AsyncMode = AsyncMode;
  reactIs_development.ConcurrentMode = ConcurrentMode;
  reactIs_development.ContextConsumer = ContextConsumer;
  reactIs_development.ContextProvider = ContextProvider;
  reactIs_development.Element = Element;
  reactIs_development.ForwardRef = ForwardRef;
  reactIs_development.Fragment = Fragment;
  reactIs_development.Lazy = Lazy;
  reactIs_development.Memo = Memo;
  reactIs_development.Portal = Portal;
  reactIs_development.Profiler = Profiler;
  reactIs_development.StrictMode = StrictMode;
  reactIs_development.Suspense = Suspense;
  reactIs_development.isAsyncMode = isAsyncMode;
  reactIs_development.isConcurrentMode = isConcurrentMode;
  reactIs_development.isContextConsumer = isContextConsumer;
  reactIs_development.isContextProvider = isContextProvider;
  reactIs_development.isElement = isElement;
  reactIs_development.isForwardRef = isForwardRef;
  reactIs_development.isFragment = isFragment;
  reactIs_development.isLazy = isLazy;
  reactIs_development.isMemo = isMemo;
  reactIs_development.isPortal = isPortal;
  reactIs_development.isProfiler = isProfiler;
  reactIs_development.isStrictMode = isStrictMode;
  reactIs_development.isSuspense = isSuspense;
  reactIs_development.isValidElementType = isValidElementType;
  reactIs_development.typeOf = typeOf;
    })();
  }

  if (process.env.NODE_ENV === 'production') {
    reactIs.exports = reactIs_production_min;
  } else {
    reactIs.exports = reactIs_development;
  }

  /*
  object-assign
  (c) Sindre Sorhus
  @license MIT
  */
  /* eslint-disable no-unused-vars */
  var getOwnPropertySymbols = Object.getOwnPropertySymbols;
  var hasOwnProperty = Object.prototype.hasOwnProperty;
  var propIsEnumerable = Object.prototype.propertyIsEnumerable;

  function toObject(val) {
  	if (val === null || val === undefined) {
  		throw new TypeError('Object.assign cannot be called with null or undefined');
  	}

  	return Object(val);
  }

  function shouldUseNative() {
  	try {
  		if (!Object.assign) {
  			return false;
  		}

  		// Detect buggy property enumeration order in older V8 versions.

  		// https://bugs.chromium.org/p/v8/issues/detail?id=4118
  		var test1 = new String('abc');  // eslint-disable-line no-new-wrappers
  		test1[5] = 'de';
  		if (Object.getOwnPropertyNames(test1)[0] === '5') {
  			return false;
  		}

  		// https://bugs.chromium.org/p/v8/issues/detail?id=3056
  		var test2 = {};
  		for (var i = 0; i < 10; i++) {
  			test2['_' + String.fromCharCode(i)] = i;
  		}
  		var order2 = Object.getOwnPropertyNames(test2).map(function (n) {
  			return test2[n];
  		});
  		if (order2.join('') !== '0123456789') {
  			return false;
  		}

  		// https://bugs.chromium.org/p/v8/issues/detail?id=3056
  		var test3 = {};
  		'abcdefghijklmnopqrst'.split('').forEach(function (letter) {
  			test3[letter] = letter;
  		});
  		if (Object.keys(Object.assign({}, test3)).join('') !==
  				'abcdefghijklmnopqrst') {
  			return false;
  		}

  		return true;
  	} catch (err) {
  		// We don't expect any of the above to throw, but better to be safe.
  		return false;
  	}
  }

  module.exports = shouldUseNative() ? Object.assign : function (target, source) {
  	var from;
  	var to = toObject(target);
  	var symbols;

  	for (var s = 1; s < arguments.length; s++) {
  		from = Object(arguments[s]);

  		for (var key in from) {
  			if (hasOwnProperty.call(from, key)) {
  				to[key] = from[key];
  			}
  		}

  		if (getOwnPropertySymbols) {
  			symbols = getOwnPropertySymbols(from);
  			for (var i = 0; i < symbols.length; i++) {
  				if (propIsEnumerable.call(from, symbols[i])) {
  					to[symbols[i]] = from[symbols[i]];
  				}
  			}
  		}
  	}

  	return to;
  };

  var objectAssign = /*#__PURE__*/Object.freeze({
    __proto__: null
  });

  var require$$1 = /*@__PURE__*/getAugmentedNamespace(objectAssign);

  /**
   * Copyright (c) 2013-present, Facebook, Inc.
   *
   * This source code is licensed under the MIT license found in the
   * LICENSE file in the root directory of this source tree.
   */

  var ReactPropTypesSecret$3 = 'SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED';

  var ReactPropTypesSecret_1 = ReactPropTypesSecret$3;

  /**
   * Copyright (c) 2013-present, Facebook, Inc.
   *
   * This source code is licensed under the MIT license found in the
   * LICENSE file in the root directory of this source tree.
   */

  var printWarning$1 = function() {};

  if (process.env.NODE_ENV !== 'production') {
    var ReactPropTypesSecret$2 = ReactPropTypesSecret_1;
    var loggedTypeFailures = {};
    var has$1 = Function.call.bind(Object.prototype.hasOwnProperty);

    printWarning$1 = function(text) {
      var message = 'Warning: ' + text;
      if (typeof console !== 'undefined') {
        console.error(message);
      }
      try {
        // --- Welcome to debugging React ---
        // This error was thrown as a convenience so that you can use this stack
        // to find the callsite that caused this warning to fire.
        throw new Error(message);
      } catch (x) {}
    };
  }

  /**
   * Assert that the values match with the type specs.
   * Error messages are memorized and will only be shown once.
   *
   * @param {object} typeSpecs Map of name to a ReactPropType
   * @param {object} values Runtime values that need to be type-checked
   * @param {string} location e.g. "prop", "context", "child context"
   * @param {string} componentName Name of the component for error messages.
   * @param {?Function} getStack Returns the component stack.
   * @private
   */
  function checkPropTypes$1(typeSpecs, values, location, componentName, getStack) {
    if (process.env.NODE_ENV !== 'production') {
      for (var typeSpecName in typeSpecs) {
        if (has$1(typeSpecs, typeSpecName)) {
          var error;
          // Prop type validation may throw. In case they do, we don't want to
          // fail the render phase where it didn't fail before. So we log it.
          // After these have been cleaned up, we'll let them throw.
          try {
            // This is intentionally an invariant that gets caught. It's the same
            // behavior as without this statement except with a better message.
            if (typeof typeSpecs[typeSpecName] !== 'function') {
              var err = Error(
                (componentName || 'React class') + ': ' + location + ' type `' + typeSpecName + '` is invalid; ' +
                'it must be a function, usually from the `prop-types` package, but received `' + typeof typeSpecs[typeSpecName] + '`.'
              );
              err.name = 'Invariant Violation';
              throw err;
            }
            error = typeSpecs[typeSpecName](values, typeSpecName, componentName, location, null, ReactPropTypesSecret$2);
          } catch (ex) {
            error = ex;
          }
          if (error && !(error instanceof Error)) {
            printWarning$1(
              (componentName || 'React class') + ': type specification of ' +
              location + ' `' + typeSpecName + '` is invalid; the type checker ' +
              'function must return `null` or an `Error` but returned a ' + typeof error + '. ' +
              'You may have forgotten to pass an argument to the type checker ' +
              'creator (arrayOf, instanceOf, objectOf, oneOf, oneOfType, and ' +
              'shape all require an argument).'
            );
          }
          if (error instanceof Error && !(error.message in loggedTypeFailures)) {
            // Only monitor this failure once because there tends to be a lot of the
            // same error.
            loggedTypeFailures[error.message] = true;

            var stack = getStack ? getStack() : '';

            printWarning$1(
              'Failed ' + location + ' type: ' + error.message + (stack != null ? stack : '')
            );
          }
        }
      }
    }
  }

  /**
   * Resets warning cache when testing.
   *
   * @private
   */
  checkPropTypes$1.resetWarningCache = function() {
    if (process.env.NODE_ENV !== 'production') {
      loggedTypeFailures = {};
    }
  };

  var checkPropTypes_1 = checkPropTypes$1;

  /**
   * Copyright (c) 2013-present, Facebook, Inc.
   *
   * This source code is licensed under the MIT license found in the
   * LICENSE file in the root directory of this source tree.
   */

  var ReactIs$1 = reactIs.exports;
  var assign = require$$1;

  var ReactPropTypesSecret$1 = ReactPropTypesSecret_1;
  var checkPropTypes = checkPropTypes_1;

  var has = Function.call.bind(Object.prototype.hasOwnProperty);
  var printWarning = function() {};

  if (process.env.NODE_ENV !== 'production') {
    printWarning = function(text) {
      var message = 'Warning: ' + text;
      if (typeof console !== 'undefined') {
        console.error(message);
      }
      try {
        // --- Welcome to debugging React ---
        // This error was thrown as a convenience so that you can use this stack
        // to find the callsite that caused this warning to fire.
        throw new Error(message);
      } catch (x) {}
    };
  }

  function emptyFunctionThatReturnsNull() {
    return null;
  }

  var factoryWithTypeCheckers = function(isValidElement, throwOnDirectAccess) {
    /* global Symbol */
    var ITERATOR_SYMBOL = typeof Symbol === 'function' && Symbol.iterator;
    var FAUX_ITERATOR_SYMBOL = '@@iterator'; // Before Symbol spec.

    /**
     * Returns the iterator method function contained on the iterable object.
     *
     * Be sure to invoke the function with the iterable as context:
     *
     *     var iteratorFn = getIteratorFn(myIterable);
     *     if (iteratorFn) {
     *       var iterator = iteratorFn.call(myIterable);
     *       ...
     *     }
     *
     * @param {?object} maybeIterable
     * @return {?function}
     */
    function getIteratorFn(maybeIterable) {
      var iteratorFn = maybeIterable && (ITERATOR_SYMBOL && maybeIterable[ITERATOR_SYMBOL] || maybeIterable[FAUX_ITERATOR_SYMBOL]);
      if (typeof iteratorFn === 'function') {
        return iteratorFn;
      }
    }

    /**
     * Collection of methods that allow declaration and validation of props that are
     * supplied to React components. Example usage:
     *
     *   var Props = require('ReactPropTypes');
     *   var MyArticle = React.createClass({
     *     propTypes: {
     *       // An optional string prop named "description".
     *       description: Props.string,
     *
     *       // A required enum prop named "category".
     *       category: Props.oneOf(['News','Photos']).isRequired,
     *
     *       // A prop named "dialog" that requires an instance of Dialog.
     *       dialog: Props.instanceOf(Dialog).isRequired
     *     },
     *     render: function() { ... }
     *   });
     *
     * A more formal specification of how these methods are used:
     *
     *   type := array|bool|func|object|number|string|oneOf([...])|instanceOf(...)
     *   decl := ReactPropTypes.{type}(.isRequired)?
     *
     * Each and every declaration produces a function with the same signature. This
     * allows the creation of custom validation functions. For example:
     *
     *  var MyLink = React.createClass({
     *    propTypes: {
     *      // An optional string or URI prop named "href".
     *      href: function(props, propName, componentName) {
     *        var propValue = props[propName];
     *        if (propValue != null && typeof propValue !== 'string' &&
     *            !(propValue instanceof URI)) {
     *          return new Error(
     *            'Expected a string or an URI for ' + propName + ' in ' +
     *            componentName
     *          );
     *        }
     *      }
     *    },
     *    render: function() {...}
     *  });
     *
     * @internal
     */

    var ANONYMOUS = '<<anonymous>>';

    // Important!
    // Keep this list in sync with production version in `./factoryWithThrowingShims.js`.
    var ReactPropTypes = {
      array: createPrimitiveTypeChecker('array'),
      bool: createPrimitiveTypeChecker('boolean'),
      func: createPrimitiveTypeChecker('function'),
      number: createPrimitiveTypeChecker('number'),
      object: createPrimitiveTypeChecker('object'),
      string: createPrimitiveTypeChecker('string'),
      symbol: createPrimitiveTypeChecker('symbol'),

      any: createAnyTypeChecker(),
      arrayOf: createArrayOfTypeChecker,
      element: createElementTypeChecker(),
      elementType: createElementTypeTypeChecker(),
      instanceOf: createInstanceTypeChecker,
      node: createNodeChecker(),
      objectOf: createObjectOfTypeChecker,
      oneOf: createEnumTypeChecker,
      oneOfType: createUnionTypeChecker,
      shape: createShapeTypeChecker,
      exact: createStrictShapeTypeChecker,
    };

    /**
     * inlined Object.is polyfill to avoid requiring consumers ship their own
     * https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object/is
     */
    /*eslint-disable no-self-compare*/
    function is(x, y) {
      // SameValue algorithm
      if (x === y) {
        // Steps 1-5, 7-10
        // Steps 6.b-6.e: +0 != -0
        return x !== 0 || 1 / x === 1 / y;
      } else {
        // Step 6.a: NaN == NaN
        return x !== x && y !== y;
      }
    }
    /*eslint-enable no-self-compare*/

    /**
     * We use an Error-like object for backward compatibility as people may call
     * PropTypes directly and inspect their output. However, we don't use real
     * Errors anymore. We don't inspect their stack anyway, and creating them
     * is prohibitively expensive if they are created too often, such as what
     * happens in oneOfType() for any type before the one that matched.
     */
    function PropTypeError(message) {
      this.message = message;
      this.stack = '';
    }
    // Make `instanceof Error` still work for returned errors.
    PropTypeError.prototype = Error.prototype;

    function createChainableTypeChecker(validate) {
      if (process.env.NODE_ENV !== 'production') {
        var manualPropTypeCallCache = {};
        var manualPropTypeWarningCount = 0;
      }
      function checkType(isRequired, props, propName, componentName, location, propFullName, secret) {
        componentName = componentName || ANONYMOUS;
        propFullName = propFullName || propName;

        if (secret !== ReactPropTypesSecret$1) {
          if (throwOnDirectAccess) {
            // New behavior only for users of `prop-types` package
            var err = new Error(
              'Calling PropTypes validators directly is not supported by the `prop-types` package. ' +
              'Use `PropTypes.checkPropTypes()` to call them. ' +
              'Read more at http://fb.me/use-check-prop-types'
            );
            err.name = 'Invariant Violation';
            throw err;
          } else if (process.env.NODE_ENV !== 'production' && typeof console !== 'undefined') {
            // Old behavior for people using React.PropTypes
            var cacheKey = componentName + ':' + propName;
            if (
              !manualPropTypeCallCache[cacheKey] &&
              // Avoid spamming the console because they are often not actionable except for lib authors
              manualPropTypeWarningCount < 3
            ) {
              printWarning(
                'You are manually calling a React.PropTypes validation ' +
                'function for the `' + propFullName + '` prop on `' + componentName  + '`. This is deprecated ' +
                'and will throw in the standalone `prop-types` package. ' +
                'You may be seeing this warning due to a third-party PropTypes ' +
                'library. See https://fb.me/react-warning-dont-call-proptypes ' + 'for details.'
              );
              manualPropTypeCallCache[cacheKey] = true;
              manualPropTypeWarningCount++;
            }
          }
        }
        if (props[propName] == null) {
          if (isRequired) {
            if (props[propName] === null) {
              return new PropTypeError('The ' + location + ' `' + propFullName + '` is marked as required ' + ('in `' + componentName + '`, but its value is `null`.'));
            }
            return new PropTypeError('The ' + location + ' `' + propFullName + '` is marked as required in ' + ('`' + componentName + '`, but its value is `undefined`.'));
          }
          return null;
        } else {
          return validate(props, propName, componentName, location, propFullName);
        }
      }

      var chainedCheckType = checkType.bind(null, false);
      chainedCheckType.isRequired = checkType.bind(null, true);

      return chainedCheckType;
    }

    function createPrimitiveTypeChecker(expectedType) {
      function validate(props, propName, componentName, location, propFullName, secret) {
        var propValue = props[propName];
        var propType = getPropType(propValue);
        if (propType !== expectedType) {
          // `propValue` being instance of, say, date/regexp, pass the 'object'
          // check, but we can offer a more precise error message here rather than
          // 'of type `object`'.
          var preciseType = getPreciseType(propValue);

          return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + preciseType + '` supplied to `' + componentName + '`, expected ') + ('`' + expectedType + '`.'));
        }
        return null;
      }
      return createChainableTypeChecker(validate);
    }

    function createAnyTypeChecker() {
      return createChainableTypeChecker(emptyFunctionThatReturnsNull);
    }

    function createArrayOfTypeChecker(typeChecker) {
      function validate(props, propName, componentName, location, propFullName) {
        if (typeof typeChecker !== 'function') {
          return new PropTypeError('Property `' + propFullName + '` of component `' + componentName + '` has invalid PropType notation inside arrayOf.');
        }
        var propValue = props[propName];
        if (!Array.isArray(propValue)) {
          var propType = getPropType(propValue);
          return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected an array.'));
        }
        for (var i = 0; i < propValue.length; i++) {
          var error = typeChecker(propValue, i, componentName, location, propFullName + '[' + i + ']', ReactPropTypesSecret$1);
          if (error instanceof Error) {
            return error;
          }
        }
        return null;
      }
      return createChainableTypeChecker(validate);
    }

    function createElementTypeChecker() {
      function validate(props, propName, componentName, location, propFullName) {
        var propValue = props[propName];
        if (!isValidElement(propValue)) {
          var propType = getPropType(propValue);
          return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected a single ReactElement.'));
        }
        return null;
      }
      return createChainableTypeChecker(validate);
    }

    function createElementTypeTypeChecker() {
      function validate(props, propName, componentName, location, propFullName) {
        var propValue = props[propName];
        if (!ReactIs$1.isValidElementType(propValue)) {
          var propType = getPropType(propValue);
          return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected a single ReactElement type.'));
        }
        return null;
      }
      return createChainableTypeChecker(validate);
    }

    function createInstanceTypeChecker(expectedClass) {
      function validate(props, propName, componentName, location, propFullName) {
        if (!(props[propName] instanceof expectedClass)) {
          var expectedClassName = expectedClass.name || ANONYMOUS;
          var actualClassName = getClassName(props[propName]);
          return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + actualClassName + '` supplied to `' + componentName + '`, expected ') + ('instance of `' + expectedClassName + '`.'));
        }
        return null;
      }
      return createChainableTypeChecker(validate);
    }

    function createEnumTypeChecker(expectedValues) {
      if (!Array.isArray(expectedValues)) {
        if (process.env.NODE_ENV !== 'production') {
          if (arguments.length > 1) {
            printWarning(
              'Invalid arguments supplied to oneOf, expected an array, got ' + arguments.length + ' arguments. ' +
              'A common mistake is to write oneOf(x, y, z) instead of oneOf([x, y, z]).'
            );
          } else {
            printWarning('Invalid argument supplied to oneOf, expected an array.');
          }
        }
        return emptyFunctionThatReturnsNull;
      }

      function validate(props, propName, componentName, location, propFullName) {
        var propValue = props[propName];
        for (var i = 0; i < expectedValues.length; i++) {
          if (is(propValue, expectedValues[i])) {
            return null;
          }
        }

        var valuesString = JSON.stringify(expectedValues, function replacer(key, value) {
          var type = getPreciseType(value);
          if (type === 'symbol') {
            return String(value);
          }
          return value;
        });
        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of value `' + String(propValue) + '` ' + ('supplied to `' + componentName + '`, expected one of ' + valuesString + '.'));
      }
      return createChainableTypeChecker(validate);
    }

    function createObjectOfTypeChecker(typeChecker) {
      function validate(props, propName, componentName, location, propFullName) {
        if (typeof typeChecker !== 'function') {
          return new PropTypeError('Property `' + propFullName + '` of component `' + componentName + '` has invalid PropType notation inside objectOf.');
        }
        var propValue = props[propName];
        var propType = getPropType(propValue);
        if (propType !== 'object') {
          return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected an object.'));
        }
        for (var key in propValue) {
          if (has(propValue, key)) {
            var error = typeChecker(propValue, key, componentName, location, propFullName + '.' + key, ReactPropTypesSecret$1);
            if (error instanceof Error) {
              return error;
            }
          }
        }
        return null;
      }
      return createChainableTypeChecker(validate);
    }

    function createUnionTypeChecker(arrayOfTypeCheckers) {
      if (!Array.isArray(arrayOfTypeCheckers)) {
        process.env.NODE_ENV !== 'production' ? printWarning('Invalid argument supplied to oneOfType, expected an instance of array.') : void 0;
        return emptyFunctionThatReturnsNull;
      }

      for (var i = 0; i < arrayOfTypeCheckers.length; i++) {
        var checker = arrayOfTypeCheckers[i];
        if (typeof checker !== 'function') {
          printWarning(
            'Invalid argument supplied to oneOfType. Expected an array of check functions, but ' +
            'received ' + getPostfixForTypeWarning(checker) + ' at index ' + i + '.'
          );
          return emptyFunctionThatReturnsNull;
        }
      }

      function validate(props, propName, componentName, location, propFullName) {
        for (var i = 0; i < arrayOfTypeCheckers.length; i++) {
          var checker = arrayOfTypeCheckers[i];
          if (checker(props, propName, componentName, location, propFullName, ReactPropTypesSecret$1) == null) {
            return null;
          }
        }

        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` supplied to ' + ('`' + componentName + '`.'));
      }
      return createChainableTypeChecker(validate);
    }

    function createNodeChecker() {
      function validate(props, propName, componentName, location, propFullName) {
        if (!isNode(props[propName])) {
          return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` supplied to ' + ('`' + componentName + '`, expected a ReactNode.'));
        }
        return null;
      }
      return createChainableTypeChecker(validate);
    }

    function createShapeTypeChecker(shapeTypes) {
      function validate(props, propName, componentName, location, propFullName) {
        var propValue = props[propName];
        var propType = getPropType(propValue);
        if (propType !== 'object') {
          return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type `' + propType + '` ' + ('supplied to `' + componentName + '`, expected `object`.'));
        }
        for (var key in shapeTypes) {
          var checker = shapeTypes[key];
          if (!checker) {
            continue;
          }
          var error = checker(propValue, key, componentName, location, propFullName + '.' + key, ReactPropTypesSecret$1);
          if (error) {
            return error;
          }
        }
        return null;
      }
      return createChainableTypeChecker(validate);
    }

    function createStrictShapeTypeChecker(shapeTypes) {
      function validate(props, propName, componentName, location, propFullName) {
        var propValue = props[propName];
        var propType = getPropType(propValue);
        if (propType !== 'object') {
          return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type `' + propType + '` ' + ('supplied to `' + componentName + '`, expected `object`.'));
        }
        // We need to check all keys in case some are required but missing from
        // props.
        var allKeys = assign({}, props[propName], shapeTypes);
        for (var key in allKeys) {
          var checker = shapeTypes[key];
          if (!checker) {
            return new PropTypeError(
              'Invalid ' + location + ' `' + propFullName + '` key `' + key + '` supplied to `' + componentName + '`.' +
              '\nBad object: ' + JSON.stringify(props[propName], null, '  ') +
              '\nValid keys: ' +  JSON.stringify(Object.keys(shapeTypes), null, '  ')
            );
          }
          var error = checker(propValue, key, componentName, location, propFullName + '.' + key, ReactPropTypesSecret$1);
          if (error) {
            return error;
          }
        }
        return null;
      }

      return createChainableTypeChecker(validate);
    }

    function isNode(propValue) {
      switch (typeof propValue) {
        case 'number':
        case 'string':
        case 'undefined':
          return true;
        case 'boolean':
          return !propValue;
        case 'object':
          if (Array.isArray(propValue)) {
            return propValue.every(isNode);
          }
          if (propValue === null || isValidElement(propValue)) {
            return true;
          }

          var iteratorFn = getIteratorFn(propValue);
          if (iteratorFn) {
            var iterator = iteratorFn.call(propValue);
            var step;
            if (iteratorFn !== propValue.entries) {
              while (!(step = iterator.next()).done) {
                if (!isNode(step.value)) {
                  return false;
                }
              }
            } else {
              // Iterator will provide entry [k,v] tuples rather than values.
              while (!(step = iterator.next()).done) {
                var entry = step.value;
                if (entry) {
                  if (!isNode(entry[1])) {
                    return false;
                  }
                }
              }
            }
          } else {
            return false;
          }

          return true;
        default:
          return false;
      }
    }

    function isSymbol(propType, propValue) {
      // Native Symbol.
      if (propType === 'symbol') {
        return true;
      }

      // falsy value can't be a Symbol
      if (!propValue) {
        return false;
      }

      // 19.4.3.5 Symbol.prototype[@@toStringTag] === 'Symbol'
      if (propValue['@@toStringTag'] === 'Symbol') {
        return true;
      }

      // Fallback for non-spec compliant Symbols which are polyfilled.
      if (typeof Symbol === 'function' && propValue instanceof Symbol) {
        return true;
      }

      return false;
    }

    // Equivalent of `typeof` but with special handling for array and regexp.
    function getPropType(propValue) {
      var propType = typeof propValue;
      if (Array.isArray(propValue)) {
        return 'array';
      }
      if (propValue instanceof RegExp) {
        // Old webkits (at least until Android 4.0) return 'function' rather than
        // 'object' for typeof a RegExp. We'll normalize this here so that /bla/
        // passes PropTypes.object.
        return 'object';
      }
      if (isSymbol(propType, propValue)) {
        return 'symbol';
      }
      return propType;
    }

    // This handles more types than `getPropType`. Only used for error messages.
    // See `createPrimitiveTypeChecker`.
    function getPreciseType(propValue) {
      if (typeof propValue === 'undefined' || propValue === null) {
        return '' + propValue;
      }
      var propType = getPropType(propValue);
      if (propType === 'object') {
        if (propValue instanceof Date) {
          return 'date';
        } else if (propValue instanceof RegExp) {
          return 'regexp';
        }
      }
      return propType;
    }

    // Returns a string that is postfixed to a warning about an invalid type.
    // For example, "undefined" or "of type array"
    function getPostfixForTypeWarning(value) {
      var type = getPreciseType(value);
      switch (type) {
        case 'array':
        case 'object':
          return 'an ' + type;
        case 'boolean':
        case 'date':
        case 'regexp':
          return 'a ' + type;
        default:
          return type;
      }
    }

    // Returns class name of the object, if any.
    function getClassName(propValue) {
      if (!propValue.constructor || !propValue.constructor.name) {
        return ANONYMOUS;
      }
      return propValue.constructor.name;
    }

    ReactPropTypes.checkPropTypes = checkPropTypes;
    ReactPropTypes.resetWarningCache = checkPropTypes.resetWarningCache;
    ReactPropTypes.PropTypes = ReactPropTypes;

    return ReactPropTypes;
  };

  /**
   * Copyright (c) 2013-present, Facebook, Inc.
   *
   * This source code is licensed under the MIT license found in the
   * LICENSE file in the root directory of this source tree.
   */

  var ReactPropTypesSecret = ReactPropTypesSecret_1;

  function emptyFunction() {}
  function emptyFunctionWithReset() {}
  emptyFunctionWithReset.resetWarningCache = emptyFunction;

  var factoryWithThrowingShims = function() {
    function shim(props, propName, componentName, location, propFullName, secret) {
      if (secret === ReactPropTypesSecret) {
        // It is still safe when called from React.
        return;
      }
      var err = new Error(
        'Calling PropTypes validators directly is not supported by the `prop-types` package. ' +
        'Use PropTypes.checkPropTypes() to call them. ' +
        'Read more at http://fb.me/use-check-prop-types'
      );
      err.name = 'Invariant Violation';
      throw err;
    }  shim.isRequired = shim;
    function getShim() {
      return shim;
    }  // Important!
    // Keep this list in sync with production version in `./factoryWithTypeCheckers.js`.
    var ReactPropTypes = {
      array: shim,
      bool: shim,
      func: shim,
      number: shim,
      object: shim,
      string: shim,
      symbol: shim,

      any: shim,
      arrayOf: getShim,
      element: shim,
      elementType: shim,
      instanceOf: getShim,
      node: shim,
      objectOf: getShim,
      oneOf: getShim,
      oneOfType: getShim,
      shape: getShim,
      exact: getShim,

      checkPropTypes: emptyFunctionWithReset,
      resetWarningCache: emptyFunction
    };

    ReactPropTypes.PropTypes = ReactPropTypes;

    return ReactPropTypes;
  };

  /**
   * Copyright (c) 2013-present, Facebook, Inc.
   *
   * This source code is licensed under the MIT license found in the
   * LICENSE file in the root directory of this source tree.
   */

  if (process.env.NODE_ENV !== 'production') {
    var ReactIs = reactIs.exports;

    // By explicitly using `prop-types` you are opting into new development behavior.
    // http://fb.me/prop-types-in-prod
    var throwOnDirectAccess = true;
    propTypes.exports = factoryWithTypeCheckers(ReactIs.isElement, throwOnDirectAccess);
  } else {
    // By explicitly using `prop-types` you are opting into new production behavior.
    // http://fb.me/prop-types-in-prod
    propTypes.exports = factoryWithThrowingShims();
  }

  var PropTypes = propTypes.exports;

  var css_248z$8 = ".test-comp{background-color:#00f}";
  styleInject(css_248z$8);

  const Test = props => {
    const {
      label
    } = props;
    return /*#__PURE__*/React__default['default'].createElement(React__default['default'].Fragment, null, /*#__PURE__*/React__default['default'].createElement("p", {
      className: "test-comp"
    }, label));
  };
  Test.propTypes = {
    label: PropTypes.string.isRequired
  };
  Test.defaultProps = {
    label: "Test Components asa"
  };

  var css_248z$7 = ".weaveroo-ai-container{font-family:Open Sans,sans-serif;width:1024px;margin:auto}@media (min-width:768px){.weaveroo-ai-container{max-width:100%}}@media (max-width:991px){.weaveroo-ai-container{width:100%}}@media(max-width:480px){.weaveroo-ai-container{width:100%}}";
  styleInject(css_248z$7);

  const Container = props => {
    return /*#__PURE__*/React__default['default'].createElement(React__default['default'].Fragment, null, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaveroo-ai-container"
    }, props.children));
  };
  Container.propTypes = {};

  var css_248z$6 = "#weaveroo-entity-module-1 .weaverz-ai-stowe-subheading{font-size:20px;font-weight:700;font-stretch:normal;font-style:normal;line-height:1.35;letter-spacing:-.6px;text-align:left;color:#393939;padding-bottom:5px}#weaveroo-entity-module-1 .weaverz-ai-kitchen-img,#weaveroo-entity-module-1 .weaverz-ai-rightkitchen-img{width:100%;height:350px;object-fit:cover}#weaveroo-entity-module-1 .weaverz-ai-stowe-pragraph{font-size:16px;font-weight:400;font-stretch:normal;font-style:normal;line-height:1.36;letter-spacing:-.42px;text-align:left}#weaveroo-entity-module-1 .weaverz-ai-content-rightarea{padding-right:140px}#weaveroo-entity-module-1 .weaverz-ai-k-stowe-subheading{font-size:20px;font-weight:700;font-stretch:normal;font-style:normal;line-height:1.35;letter-spacing:-.6px;text-align:left;color:#393939;padding-bottom:5px;max-width:65%}#weaveroo-entity-module-1 .weaverz-ai-k-stowe-pragraph{font-size:16px;font-weight:400;font-stretch:normal;font-style:normal;line-height:1.36;letter-spacing:-.42px;text-align:left;max-width:75%}#weaveroo-entity-module-1 .weaverz-ai-section-g{background-color:#f5f5f5!important}#weaveroo-entity-module-1 .weaverz-ai-kitchenicon-img{width:fit-content;height:45px}#weaveroo-entity-module-1 .weaverz-ai-kitcheniconbox{width:50px;height:50px;display:flex;align-items:center;justify-content:center;padding:0;background-color:transparent}@media(max-width:768px){#weaveroo-entity-module-1 .weaverz-ai-content-k-rightarea{padding-right:50px;padding-left:30px}#weaveroo-entity-module-1 .weaverz-ai-k-stowe-subheading{max-width:85%}#weaveroo-entity-module-1 .weaverz-ai-k-stowe-pragraph{max-width:95%}#weaveroo-entity-module-1 .weaverz-ai-content-rightarea{padding:25px 40px 30px 30px}}@media(max-width:480px){#weaveroo-entity-module-1 .weaverz-ai-kitchenicon-wrap{height:100%}#weaveroo-entity-module-1 .weaverz-ai-kitchen-img{margin:auto;width:100%}#weaveroo-entity-module-1 .weaverz-ai-kitchenicon-wrap .weaverz-ai-xs-dflex{display:flex}#weaveroo-entity-module-1 .weaverz-ai-kitchenicon-wrap{height:985px;padding:25px 0;background-color:#fff}#weaveroo-entity-module-1 .weaverz-ai-kitchenicon-img{top:5px;position:relative}#weaveroo-entity-module-1 .weaverz-ai-content-rightarea{padding:25px 30px 30px 20px}#weaveroo-entity-module-1 .weaverz-ai-content-k-rightarea{padding-right:20px;padding-bottom:30px;padding-left:20px;position:absolute;top:345px}.weaverz-ai-content-k-rightarea .weaverz-ai-xs-dflex{flex-flow:row-reverse;display:flex}#weaveroo-entity-module-1 .weaverz-ai-content-k-rightarea .weaverz-ai-kitchenicon-img{margin-left:15px;top:5px;position:relative}#weaveroo-entity-module-1 .weaverz-ai-rightkitchen-img{position:absolute;top:0;right:0}#weaveroo-entity-module-1 .weaverz-ai-k-stowe-subheading{max-width:100%}}@media(max-width:320px){#weaveroo-entity-module-1 .weaverz-ai-kitchen-img,#weaveroo-entity-module-1 .weaverz-ai-rightkitchen-img{width:100%;height:auto}}";
  styleInject(css_248z$6);

  const EntityModule1 = props => {
    const {
      heading,
      description,
      iconImage,
      iconSrcSet,
      iconSizes,
      entityImage,
      entitySrcSet,
      entitySizes,
      orientation,
      showCompId,
      bgColor,
      textColor,
      iconFilter
    } = props;
    const styles = {
      bg: {
        backgroundColor: bgColor ? bgColor : "#f8f8f8"
      },
      textColor: {
        color: textColor ? textColor : "#393939"
      },
      iconFilter: {
        filter: iconFilter ? `invert(1)` : ""
      }
    };
    return /*#__PURE__*/React__default['default'].createElement(React__default['default'].Fragment, null, /*#__PURE__*/React__default['default'].createElement("section", {
      id: "weaveroo-entity-module-1",
      className: `weaverz-ai-mx-auto weaverz-ai-layout-wrap lg:weaverz-ai-mt-12 sm:weaverz-ai-mt-0`,
      style: styles.bg,
      hidden: orientation === "r",
      "data-comp-id": showCompId ? "entityName" : ""
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-container"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-flex weaverz-ai-flex-wrap weaverz-ai-overflow-hidden"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-w-full weaverz-ai-overflow-hidden sm:weaverz-ai-w-full md:weaverz-ai-w-5/12 lg:weaverz-ai-w-5/12 xl:weaverz-ai-w-5/12 weaverz-ai-bg-black "
    }, /*#__PURE__*/React__default['default'].createElement("img", {
      src: entityImage,
      srcSet: entitySrcSet,
      sizes: entitySizes,
      className: "weaverz-ai-img-auto weaverz-ai-object-contain weaverz-ai-kitchen-img"
    })), /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-w-full weaverz-ai-overflow-hidden weaverz-ai-self-center sm:weaverz-ai-w-full md:weaverz-ai-w-7/12 lg:weaverz-ai-w-7/12 xl:weaverz-ai-w-7/12"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-flex weaverz-ai-flex-wrap weaverz-ai-overflow-hidden xl:weaverz-ai-px-20 md:weaverz-ai-px-12 sm:weaverz-ai-px-8 weaverz-ai-px-4 weaverz-ai-py-4"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-w-full weaverz-ai-overflow-hidden"
    }, /*#__PURE__*/React__default['default'].createElement("img", {
      src: iconImage,
      srcSet: iconSrcSet,
      sizes: iconSizes,
      className: "weaverz-ai-h-16",
      style: styles.iconFilter
    })), /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-w-full weaverz-ai-overflow-hidden"
    }, /*#__PURE__*/React__default['default'].createElement("h4", {
      className: "weaverz-ai-font-opensans weaverz-ai-stowe-subheading",
      style: styles.textColor
    }, heading)), /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-w-full weaverz-ai-overflow-hidden"
    }, /*#__PURE__*/React__default['default'].createElement("p", {
      className: "weaverz-ai-font-opensans weaverz-ai-stowe-pragraph",
      style: styles.textColor
    }, description))))))), /*#__PURE__*/React__default['default'].createElement("section", {
      id: "weaveroo-entity-module-1",
      className: `weaverz-ai-mx-auto weaverz-ai-layout-wrap lg:weaverz-ai-mt-12 sm:weaverz-ai-mt-0`,
      style: styles.bg,
      hidden: orientation === "l",
      "data-comp-id": showCompId ? "entityName" : ""
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-container"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-flex weaverz-ai-flex-wrap weaverz-ai-overflow-hidden"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-w-full weaverz-ai-overflow-hidden weaverz-ai-self-center sm:weaverz-ai-w-full md:weaverz-ai-w-7/12 lg:weaverz-ai-w-7/12 xl:weaverz-ai-w-7/12 md:weaverz-ai-order-1 sm:weaverz-ai-order-2 weaverz-ai-order-2"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-flex weaverz-ai-flex-wrap weaverz-ai-overflow-hidden xl:weaverz-ai-px-20 md:weaverz-ai-px-12 sm:weaverz-ai-px-8 weaverz-ai-px-4 weaverz-ai-py-4"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-w-full weaverz-ai-overflow-hidden"
    }, /*#__PURE__*/React__default['default'].createElement("img", {
      src: iconImage,
      srcSet: iconSrcSet,
      sizes: iconSizes,
      style: styles.iconFilter,
      className: "weaverz-ai-h-16"
    })), /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-w-full weaverz-ai-overflow-hidden"
    }, /*#__PURE__*/React__default['default'].createElement("h4", {
      className: "weaverz-ai-font-opensans weaverz-ai-stowe-subheading",
      style: styles.textColor
    }, heading)), /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-w-full weaverz-ai-overflow-hidden"
    }, /*#__PURE__*/React__default['default'].createElement("p", {
      className: "weaverz-ai-font-opensans weaverz-ai-stowe-pragraph",
      style: styles.textColor
    }, description)))), /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-w-full weaverz-ai-overflow-hidden sm:weaverz-ai-w-full md:weaverz-ai-w-5/12 lg:weaverz-ai-w-5/12 xl:weaverz-ai-w-5/12 md:weaverz-ai-order-2 sm:weaverz-ai-order-1 weaverz-ai-order-1"
    }, /*#__PURE__*/React__default['default'].createElement("img", {
      src: entityImage,
      srcSet: entitySrcSet,
      sizes: entitySizes,
      className: "weaverz-ai-img-auto weaverz-ai-object-contain weaverz-ai-kitchen-img"
    }))))));
  };
  EntityModule1.propTypes = {
    heading: PropTypes.string.isRequired,
    description: PropTypes.string.isRequired,
    iconImage: PropTypes.string,
    entityImage: PropTypes.string,
    orientation: PropTypes.string,
    showCompId: PropTypes.bool,
    iconSrcSet: PropTypes.string,
    entitySrcSet: PropTypes.string,
    iconSizes: PropTypes.string,
    entitySizes: PropTypes.string,
    textColor: PropTypes.string,
    bgColor: PropTypes.string,
    iconFilter: PropTypes.bool
  };
  EntityModule1.defaultProps = {
    showCompId: true,
    orientation: "r",
    heading: "Save time with easy cleaning",
    description: "With the easy-clean lining, you can spend less time removing grease and dirt from your appliance. That way, you can utilise the saved time for creating culinary masterpieces.",
    iconImage: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/baec6461b0d69dde1b861aefbe375d8a/f718499c1c8cef6730f9fd03c8125cab/4a2a0e91490091a6b26a7272ab74ffae.png",
    entityImage: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/eb5c1399a871211c7e7ed732d15e3a8b/cee631121c2ec9232f3a2f028ad5c89b/0392818b32472a09b84f2b13908c1243.png",
    iconSrcSet: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/baec6461b0d69dde1b861aefbe375d8a/c74d97b01eae257e44aa9d5bade97baf/7d12b66d3df6af8d429c1a357d8b9e1a.png 16w,https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/baec6461b0d69dde1b861aefbe375d8a/642e92efb79421734881b53e1e1b18b6/c133fb1bb634af68c5088f3438848bfd.png 48w,https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/baec6461b0d69dde1b861aefbe375d8a/26657d5ff9020d2abefe558796b99584/fc322c6bd467dc6e4a70ece4ce0245f8.png 96w,https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/baec6461b0d69dde1b861aefbe375d8a/f718499c1c8cef6730f9fd03c8125cab/4a2a0e91490091a6b26a7272ab74ffae.png 256w,",
    entitySrcSet: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/eb5c1399a871211c7e7ed732d15e3a8b/d6baf65e0b240ce177cf70da146c8dc8/5f2255c585c1873f476eca7ae0767178.png 264w,https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/eb5c1399a871211c7e7ed732d15e3a8b/cee631121c2ec9232f3a2f028ad5c89b/0392818b32472a09b84f2b13908c1243.png 500w",
    iconSizes: "(max-widgth: 500) 100vw, 500px",
    entitySizes: "(max-widgth: 500) 100vw, 500px",
    bgColor: "#f8f8f8",
    textColor: "#393939",
    iconFilter: false
  };

  var css_248z$5 = "#weaveroo-DoubleEntity-module-1 .weaverz-ai-two-productwhite-Section .weaverz-ai-FridgeSection10-fridge-ico{width:53px;height:53px;margin:0 12px 0 0;padding:11.3px 10.1px 12.1px 10.8px;border-radius:10px;border:1px solid #848484;display:flex;align-items:center;justify-content:center;max-width:53px;min-width:53px}#weaveroo-DoubleEntity-module-1 .weaverz-ai-two-productwhite-Section .weaverz-ai-FridgeSection10-mainheading{font-size:25px;font-weight:600;font-stretch:normal;font-style:normal;line-height:1.28;letter-spacing:-.75px;text-align:left;color:#333}#weaveroo-DoubleEntity-module-1 .weaverz-ai-two-productwhite-Section .weaverz-ai-FridgeSection10-pragraph{font-size:14px;font-weight:300;font-stretch:normal;font-style:normal;padding-top:6px;line-height:1.36;letter-spacing:-.42px;text-align:left;color:#333;max-width:80%}#weaveroo-DoubleEntity-module-1 .weaverz-ai-two-productwhite-Section .weaverz-ai-FridgeSection10-productimg{width:100%;height:328px;margin-bottom:12px;object-fit:fill;object-position:center}#weaveroo-DoubleEntity-module-1 .weaverz-ai-two-productwhite-Section{height:522px;padding:15px 0;background-color:#fff}#weaveroo-DoubleEntity-module-1 .weaverz-ai-two-productwhite-Section .weaverz-ai-FridgeSection10-icon{height:50px;width:fit-content}#weaveroo-DoubleEntity-module-1 .weaverz-ai-two-productwhite-Section .weaverz-ai-pl-40{padding-left:27px}@media(max-width:768px){#weaveroo-DoubleEntity-module-1 .weaverz-ai-two-productwhite-Section .weaverz-ai-FridgeSection10-productimg{width:100%;height:auto}#weaveroo-DoubleEntity-module-1 .weaverz-ai-two-productwhite-Section{height:100%}}@media(max-width:480px){#weaveroo-DoubleEntity-module-1 .weaverz-ai-two-productwhite-Section .weaverz-ai-FridgeSection10-productimg{width:100%;height:100%}#weaveroo-DoubleEntity-module-1 .weaverz-ai-two-productwhite-Section{padding:0 15px 15px;height:100%}#weaveroo-DoubleEntity-module-1 .weaverz-ai-two-productwhite-Section .weaverz-ai-pl-40{padding-left:0}#weaveroo-DoubleEntity-module-1 .weaverz-ai-two-productwhite-Section .weaverz-ai-FridgeSection10-pragraph{max-width:90%}#weaveroo-DoubleEntity-module-1 .weaverz-ai-two-productwhite-Section .weaverz-ai-productitems{padding-bottom:20px}}";
  styleInject(css_248z$5);

  const DoubleEntityModule1 = props => {
    const {
      entitySet,
      showCompId
    } = props;
    return /*#__PURE__*/React__default['default'].createElement(React__default['default'].Fragment, null, /*#__PURE__*/React__default['default'].createElement("section", {
      id: "weaveroo-DoubleEntity-module-1"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-layout weaverz-ai-mx-auto weaverz-ai-relative weaverz-ai-two-productwhite-Section"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-container"
    }, entitySet && entitySet.length === 2 ? /*#__PURE__*/React__default['default'].createElement("div", {
      className: "md:weaverz-ai-flex  sm:weaverz-ai-block"
    }, entitySet.map((entityInfo, i) => {
      return /*#__PURE__*/React__default['default'].createElement("div", {
        className: `md:weaverz-ai-w-6/12 sm:weaverz-ai-w-full ${i === 0 ? "md:weaverz-ai-mr-4" : "md:weaverz-ai-ml-4"}`,
        "data-comp-id": showCompId ? "entityName" : "",
        key: i
      }, /*#__PURE__*/React__default['default'].createElement("div", {
        className: "weaverz-ai-productitems"
      }, /*#__PURE__*/React__default['default'].createElement("img", {
        src: entityInfo.entityImage,
        srcSet: entityInfo.entitySrcSet,
        sizes: entityInfo.entitySizes,
        alt: entityInfo.name,
        className: "weaverz-ai-img-auto weaverz-ai-object-contain weaverz-ai-FridgeSection10-productimg"
      }), /*#__PURE__*/React__default['default'].createElement("div", {
        className: "weaverz-ai-flex"
      }, /*#__PURE__*/React__default['default'].createElement("div", {
        className: "weaverz-ai-FridgeSection10-fridge-ico weaverz-ai-mx-auto"
      }, /*#__PURE__*/React__default['default'].createElement("img", {
        src: entityInfo.iconImage,
        srcSet: entityInfo.iconSrcSet,
        sizes: entityInfo.iconSizes,
        alt: entityInfo.name,
        className: "weaverz-ai-img-auto weaverz-ai-object-contain weaverz-ai-FridgeSection10-icon"
      })), /*#__PURE__*/React__default['default'].createElement("div", {
        className: "weaverz-ai-flex weaverz-ai-items-center"
      }, /*#__PURE__*/React__default['default'].createElement("h5", {
        className: "weaverz-ai-font-opensans weaverz-ai-FridgeSection10-mainheading"
      }, entityInfo.heading))), /*#__PURE__*/React__default['default'].createElement("p", {
        className: "weaverz-ai-font-opensans weaverz-ai-FridgeSection10-pragraph"
      }, entityInfo.description)));
    })) : ""))));
  };
  DoubleEntityModule1.propTypes = {
    showCompId: PropTypes.bool,
    entitySet: PropTypes.arrayOf(PropTypes.shape({
      entityImage: PropTypes.string.isRequired,
      entitySrcSet: PropTypes.string,
      entitySizes: PropTypes.string,
      iconImage: PropTypes.string.isRequired,
      iconSizes: PropTypes.string,
      iconSrcSet: PropTypes.string,
      heading: PropTypes.number.isRequired,
      description: PropTypes.number.isRequired,
      name: PropTypes.string.isRequired
    })).isRequired
  };
  DoubleEntityModule1.defaultProps = {
    showCompId: true,
    entitySet: [{
      name: "entiyname1",
      heading: "Save time with easy cleaning",
      description: "With the easy-clean lining, you can spend less time removing grease and dirt from your appliance. That way, you can utilise the saved time for creating culinary masterpieces.",
      iconImage: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/baec6461b0d69dde1b861aefbe375d8a/f718499c1c8cef6730f9fd03c8125cab/4a2a0e91490091a6b26a7272ab74ffae.png",
      entityImage: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/eb5c1399a871211c7e7ed732d15e3a8b/cee631121c2ec9232f3a2f028ad5c89b/0392818b32472a09b84f2b13908c1243.png",
      iconSrcSet: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/baec6461b0d69dde1b861aefbe375d8a/c74d97b01eae257e44aa9d5bade97baf/7d12b66d3df6af8d429c1a357d8b9e1a.png 16w,https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/baec6461b0d69dde1b861aefbe375d8a/642e92efb79421734881b53e1e1b18b6/c133fb1bb634af68c5088f3438848bfd.png 48w,https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/baec6461b0d69dde1b861aefbe375d8a/26657d5ff9020d2abefe558796b99584/fc322c6bd467dc6e4a70ece4ce0245f8.png 96w,https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/baec6461b0d69dde1b861aefbe375d8a/f718499c1c8cef6730f9fd03c8125cab/4a2a0e91490091a6b26a7272ab74ffae.png 256w,",
      entitySrcSet: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/eb5c1399a871211c7e7ed732d15e3a8b/d6baf65e0b240ce177cf70da146c8dc8/5f2255c585c1873f476eca7ae0767178.png 264w,https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/eb5c1399a871211c7e7ed732d15e3a8b/cee631121c2ec9232f3a2f028ad5c89b/0392818b32472a09b84f2b13908c1243.png 500w",
      iconSizes: "(max-widgth: 500) 100vw, 500px",
      entitySizes: "(max-widgth: 500) 100vw, 500px"
    }, {
      name: "entiyname2",
      heading: "Save time with easy cleaning",
      description: "With the easy-clean lining, you can spend less time removing grease and dirt from your appliance. That way, you can utilise the saved time for creating culinary masterpieces.",
      iconImage: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/baec6461b0d69dde1b861aefbe375d8a/f718499c1c8cef6730f9fd03c8125cab/4a2a0e91490091a6b26a7272ab74ffae.png",
      entityImage: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/eb5c1399a871211c7e7ed732d15e3a8b/cee631121c2ec9232f3a2f028ad5c89b/0392818b32472a09b84f2b13908c1243.png",
      iconSrcSet: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/baec6461b0d69dde1b861aefbe375d8a/c74d97b01eae257e44aa9d5bade97baf/7d12b66d3df6af8d429c1a357d8b9e1a.png 16w,https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/baec6461b0d69dde1b861aefbe375d8a/642e92efb79421734881b53e1e1b18b6/c133fb1bb634af68c5088f3438848bfd.png 48w,https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/baec6461b0d69dde1b861aefbe375d8a/26657d5ff9020d2abefe558796b99584/fc322c6bd467dc6e4a70ece4ce0245f8.png 96w,https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/baec6461b0d69dde1b861aefbe375d8a/f718499c1c8cef6730f9fd03c8125cab/4a2a0e91490091a6b26a7272ab74ffae.png 256w,",
      entitySrcSet: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/eb5c1399a871211c7e7ed732d15e3a8b/d6baf65e0b240ce177cf70da146c8dc8/5f2255c585c1873f476eca7ae0767178.png 264w,https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/eb5c1399a871211c7e7ed732d15e3a8b/cee631121c2ec9232f3a2f028ad5c89b/0392818b32472a09b84f2b13908c1243.png 500w",
      iconSizes: "(max-widgth: 500) 100vw, 500px",
      entitySizes: "(max-widgth: 500) 100vw, 500px"
    }]
  };

  var css_248z$4 = "#weaveroo-DoubleEntity-module-2 .weaverz-ai-two-product-Section .weaverz-ai-FridgeSection10-fridge-ico{width:53px;height:53px;margin:0 12px 0 0;padding:11.3px 10.1px 12.1px 10.8px;border-radius:10px;border:1px solid #848484;display:flex;align-items:center;justify-content:center;max-width:53px;min-width:53px}#weaveroo-DoubleEntity-module-2 .weaverz-ai-two-product-Section .weaverz-ai-FridgeSection10-mainheading{font-size:25px;font-weight:600;font-stretch:normal;font-style:normal;line-height:1.28;letter-spacing:-.75px;text-align:left;color:#333}#weaveroo-DoubleEntity-module-2 .weaverz-ai-two-product-Section .weaverz-ai-FridgeSection10-pragraph{font-size:14px;font-weight:300;font-stretch:normal;font-style:normal;padding-top:6px;line-height:1.36;letter-spacing:-.42px;text-align:left;color:#333;max-width:80%}#weaveroo-DoubleEntity-module-2 .weaverz-ai-two-product-Section .weaverz-ai-FridgeSection10-productimg{width:100%;height:328px;margin-bottom:12px;object-fit:fill;object-position:center}#weaveroo-DoubleEntity-module-2 .weaverz-ai-two-product-Section{height:554px;padding:39px 26px 39px 27px;background-color:#f5f5f5}#weaveroo-DoubleEntity-module-2 .weaverz-ai-two-product-Section .weaverz-ai-FridgeSection10-icon{height:45px;width:fit-content}@media(max-width:768px){#weaveroo-DoubleEntity-module-2 .weaverz-ai-two-product-Section .weaverz-ai-FridgeSection10-productimg{width:100%;height:auto}#weaveroo-DoubleEntity-module-2 .weaverz-ai-two-product-Section{height:100%}}@media(max-width:480px){#weaveroo-DoubleEntity-module-2 .weaverz-ai-two-product-Section .weaverz-ai-FridgeSection10-productimg{width:100%;height:100%}#weaveroo-DoubleEntity-module-2 .weaverz-ai-two-product-Section{padding:39px 15px;height:100%}#weaveroo-DoubleEntity-module-2 .weaverz-ai-two-product-Section .weaverz-ai-FridgeSection10-pragraph{max-width:90%}#weaveroo-DoubleEntity-module-2 .weaverz-ai-two-product-Section .weaverz-ai-productitems{padding-bottom:20px}}";
  styleInject(css_248z$4);

  const DoubleEntityModule2 = props => {
    const {
      entitySet,
      showCompId
    } = props;
    return /*#__PURE__*/React__default['default'].createElement(React__default['default'].Fragment, null, /*#__PURE__*/React__default['default'].createElement("section", {
      id: "weaveroo-DoubleEntity-module-2"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-layout-wrap weaverz-ai-mx-auto weaverz-ai-relative weaverz-ai-two-product-Section weaverz-ai-mt-8"
    }, entitySet && entitySet.length === 2 ? /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-container"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "md:weaverz-ai-flex sm:weaverz-ai-block"
    }, entitySet.map((entityInfo, i) => {
      return /*#__PURE__*/React__default['default'].createElement("div", {
        className: `md:weaverz-ai-w-6/12 sm:weaverz-ai-w-full ${i === 0 ? "md:weaverz-ai-mr-4" : "md:weaverz-ai-ml-4"}`,
        "data-comp-id": showCompId ? "entityName" : ""
      }, /*#__PURE__*/React__default['default'].createElement("div", {
        className: "weaverz-ai-productitems"
      }, /*#__PURE__*/React__default['default'].createElement("img", {
        src: entityInfo.entityImage,
        srcSet: entityInfo.entitySrcSet,
        sizes: entityInfo.entitySizes,
        alt: entityInfo.name,
        className: "weaverz-ai-img-auto weaverz-ai-object-contain weaverz-ai-FridgeSection10-productimg weaverz-ai-mr-auto"
      }), /*#__PURE__*/React__default['default'].createElement("div", {
        className: "weaverz-ai-flex weaverz-ai-items-center"
      }, /*#__PURE__*/React__default['default'].createElement("div", {
        className: "weaverz-ai-FridgeSection10-fridge-ico weaverz-ai-mx-auto"
      }, /*#__PURE__*/React__default['default'].createElement("img", {
        src: entityInfo.iconImage,
        srcSet: entityInfo.iconSrcSet,
        sizes: entityInfo.iconSizes,
        alt: entityInfo.name,
        className: "weaverz-ai-img-auto weaverz-ai-object-contain weaverz-ai-FridgeSection10-icon"
      })), /*#__PURE__*/React__default['default'].createElement("h5", {
        className: "weaverz-ai-font-opensans weaverz-ai-FridgeSection10-mainheading"
      }, entityInfo.heading)), /*#__PURE__*/React__default['default'].createElement("p", {
        className: "weaverz-ai-font-opensans weaverz-ai-FridgeSection10-pragraph"
      }, entityInfo.description)));
    }))) : "")));
  };
  DoubleEntityModule2.propTypes = {
    showCompId: PropTypes.bool,
    entitySet: PropTypes.arrayOf(PropTypes.shape({
      entityImage: PropTypes.string.isRequired,
      entitySrcSet: PropTypes.string,
      entitySizes: PropTypes.string,
      iconImage: PropTypes.string.isRequired,
      iconSizes: PropTypes.string,
      iconSrcSet: PropTypes.string,
      heading: PropTypes.number.isRequired,
      description: PropTypes.number.isRequired,
      name: PropTypes.string.isRequired
    })).isRequired
  };
  DoubleEntityModule2.defaultProps = {
    showCompId: true,
    entitySet: [{
      name: "entiyname1",
      heading: "Save time with easy cleaning",
      description: "With the easy-clean lining, you can spend less time removing grease and dirt from your appliance. That way, you can utilise the saved time for creating culinary masterpieces.",
      iconImage: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/baec6461b0d69dde1b861aefbe375d8a/f718499c1c8cef6730f9fd03c8125cab/4a2a0e91490091a6b26a7272ab74ffae.png",
      entityImage: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/eb5c1399a871211c7e7ed732d15e3a8b/cee631121c2ec9232f3a2f028ad5c89b/0392818b32472a09b84f2b13908c1243.png",
      iconSrcSet: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/baec6461b0d69dde1b861aefbe375d8a/c74d97b01eae257e44aa9d5bade97baf/7d12b66d3df6af8d429c1a357d8b9e1a.png 16w,https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/baec6461b0d69dde1b861aefbe375d8a/642e92efb79421734881b53e1e1b18b6/c133fb1bb634af68c5088f3438848bfd.png 48w,https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/baec6461b0d69dde1b861aefbe375d8a/26657d5ff9020d2abefe558796b99584/fc322c6bd467dc6e4a70ece4ce0245f8.png 96w,https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/baec6461b0d69dde1b861aefbe375d8a/f718499c1c8cef6730f9fd03c8125cab/4a2a0e91490091a6b26a7272ab74ffae.png 256w,",
      entitySrcSet: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/eb5c1399a871211c7e7ed732d15e3a8b/d6baf65e0b240ce177cf70da146c8dc8/5f2255c585c1873f476eca7ae0767178.png 264w,https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/eb5c1399a871211c7e7ed732d15e3a8b/cee631121c2ec9232f3a2f028ad5c89b/0392818b32472a09b84f2b13908c1243.png 500w",
      iconSizes: "(max-widgth: 500) 100vw, 500px",
      entitySizes: "(max-widgth: 500) 100vw, 500px"
    }, {
      name: "entiyname2",
      heading: "Save time with easy cleaning",
      description: "With the easy-clean lining, you can spend less time removing grease and dirt from your appliance. That way, you can utilise the saved time for creating culinary masterpieces.",
      iconImage: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/baec6461b0d69dde1b861aefbe375d8a/f718499c1c8cef6730f9fd03c8125cab/4a2a0e91490091a6b26a7272ab74ffae.png",
      entityImage: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/eb5c1399a871211c7e7ed732d15e3a8b/cee631121c2ec9232f3a2f028ad5c89b/0392818b32472a09b84f2b13908c1243.png",
      iconSrcSet: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/baec6461b0d69dde1b861aefbe375d8a/c74d97b01eae257e44aa9d5bade97baf/7d12b66d3df6af8d429c1a357d8b9e1a.png 16w,https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/baec6461b0d69dde1b861aefbe375d8a/642e92efb79421734881b53e1e1b18b6/c133fb1bb634af68c5088f3438848bfd.png 48w,https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/baec6461b0d69dde1b861aefbe375d8a/26657d5ff9020d2abefe558796b99584/fc322c6bd467dc6e4a70ece4ce0245f8.png 96w,https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/baec6461b0d69dde1b861aefbe375d8a/f718499c1c8cef6730f9fd03c8125cab/4a2a0e91490091a6b26a7272ab74ffae.png 256w,",
      entitySrcSet: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/eb5c1399a871211c7e7ed732d15e3a8b/d6baf65e0b240ce177cf70da146c8dc8/5f2255c585c1873f476eca7ae0767178.png 264w,https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/07214c6750d983a32e0a33da225c4efd/e3810e13cc6dc8d4dc5263e182c0f53d/eb5c1399a871211c7e7ed732d15e3a8b/cee631121c2ec9232f3a2f028ad5c89b/0392818b32472a09b84f2b13908c1243.png 500w",
      iconSizes: "(max-widgth: 500) 100vw, 500px",
      entitySizes: "(max-widgth: 500) 100vw, 500px"
    }]
  };

  var css_248z$3 = "#weaveroo-hero-module-1 .weaverz-ai-top-electriccooker-wrap{padding:10px 0;height:416px}#weaveroo-hero-module-1 .weaverz-ai-stowe-subheading{font-size:20px;font-weight:700;font-stretch:normal;font-style:normal;line-height:1.35;letter-spacing:-.6px;text-align:left;color:#393939;padding-bottom:5px}#weaveroo-hero-module-1 .weaverz-ai-electric-brand-logo{width:222px;height:118px;border-radius:13px;background-color:rgb(255 255 255/90%);display:flex;align-items:center;justify-content:center}#weaveroo-hero-module-1 .weaverz-ai-electric-cookerimg .weaverz-ai-img-auto{width:100%}#weaveroo-hero-module-1 .weaverz-ai-electric-brand-logo .weaverz-ai-img-auto{width:200px;height:106px}#weaveroo-hero-module-1 .weaverz-ai-electric-right-sec{width:325px;height:156px;padding:19px 54px 4px 15px;background-color:#f5f5f5}@media (max-width:768px){#weaveroo-hero-module-1 .weaverz-ai-electric-right-sec{width:100%;padding-right:0}}@media (max-width:480px){#weaveroo-hero-module-1 .weaverz-ai-top-electriccooker-wrap{height:100%;padding:10px 0 24px}#weaveroo-hero-module-1 .weaverz-ai-electric-cookerimg{padding-bottom:24px}#weaveroo-hero-module-1 .weaverz-ai-electric-right-sec{padding:0;height:100%;position:relative;background:transparent;margin-left:auto;width:50%;margin-top:0}#weaveroo-hero-module-1 .weaverz-ai-electric-topheading{font-size:20px;font-weight:600;font-stretch:normal;font-style:normal;line-height:1.15;letter-spacing:-.6px;text-align:left;color:#fff}#weaveroo-hero-module-1 .weaverz-ai-electric-brand-logo .weaverz-ai-img-auto{width:160px;height:auto}#weaveroo-hero-module-1 .weaverz-ai-electric-brand-logo{position:absolute;width:156px;height:83px;bottom:24px;left:14px;margin:0;display:flex;align-items:center;justify-content:center}#weaveroo-hero-module-1 .weaverz-ai-electric-bottomheading{font-size:27px;font-weight:300;font-stretch:normal;font-style:normal;line-height:1.33;letter-spacing:-.81px;text-align:left;color:#fff}}@media (max-width:320px){#weaveroo-hero-module-1 .weaverz-ai-electric-topheading{font-size:16px}#weaveroo-hero-module-1 .weaverz-ai-electric-brand-logo .weaverz-ai-img-auto{width:130px;height:auto}#weaveroo-hero-module-1 .weaverz-ai-electric-brand-logo{width:130px;height:83px;bottom:24px;left:14px}}";
  styleInject(css_248z$3);

  function HeroComponent1(props) {
    const {
      name,
      brandName,
      heroImage,
      logoImage,
      heroImageSrcSet,
      logoImageSrcSet,
      heroImageSizes,
      logoImageSizes
    } = props;
    return /*#__PURE__*/React__default['default'].createElement(React__default['default'].Fragment, null, /*#__PURE__*/React__default['default'].createElement("section", {
      id: "weaveroo-hero-module-1",
      className: "weaverz-ai-mx-auto"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-container"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-flex weaverz-ai-flex-wrap weaverz-ai-overflow-hidden"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-w-full weaverz-ai-overflow-hidden weaverz-ai-self-center sm:weaverz-ai-w-full md:weaverz-ai-w-6/12 lg:weaverz-ai-w-6/12 xl:weaverz-ai-w-6/12 md:weaverz-ai-order-1 sm:weaverz-ai-order-2 weaverz-ai-order-2"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-flex weaverz-ai-flex-wrap weaverz-ai-overflow-hidden weaverz-ai-px-4 weaverz-ai-py-4"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-w-full weaverz-ai-overflow-hidden weaverz-ai-py-4"
    }, /*#__PURE__*/React__default['default'].createElement("img", {
      src: logoImage,
      srcSet: logoImageSrcSet,
      sizes: logoImageSizes,
      className: "weaverz-ai-img-auto weaverz-ai-object-contain weaverz-ai-mx-auto sm:weaverz-ai-ml-3 md:weaverz-ai-ml-3"
    })), /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-w-full weaverz-ai-overflow-hidden weaverz-ai-bg-gray-50 weaverz-ai-p-4 weaverz-mt-4 weaverz-ai-text-center sm:weaverz-ai-text-left"
    }, /*#__PURE__*/React__default['default'].createElement("h4", {
      className: "weaverz-ai-stowe-subheading"
    }, name), /*#__PURE__*/React__default['default'].createElement("h2", {
      className: "weaverz-ai-stowe-subheading"
    }, brandName)))), /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-w-full weaverz-ai-overflow-hidden sm:weaverz-ai-w-full md:weaverz-ai-w-6/12 lg:weaverz-ai-w-6/12 xl:weaverz-ai-w-6/12 md:weaverz-ai-order-2 sm:weaverz-ai-order-1 weaverz-ai-order-1"
    }, /*#__PURE__*/React__default['default'].createElement("img", {
      src: heroImage,
      srcSet: heroImageSrcSet,
      sizes: heroImageSizes,
      className: ""
    }))))));
  }
  HeroComponent1.propTypes = {
    name: PropTypes.string.isRequired,
    brandName: PropTypes.string.isRequired,
    heroImage: PropTypes.string.isRequired,
    logoImage: PropTypes.string.isRequired,
    heroImageSrcSet: PropTypes.string,
    logoImageSrcSet: PropTypes.string,
    heroImageSizes: PropTypes.string,
    logoImageSizes: PropTypes.string
  };
  HeroComponent1.defaultProps = {
    name: "Belling 444410789",
    brandName: "Belling",
    heroImage: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/78d7725527a42b360940c5e471b84a3b/5c08571014b2314d028afb443c76951d/075a3e36a0a52dcbc568c05788e8a713/a9b7ba70783b617e9998dc4dd82eb3c5/536e798a6b4ff16f87e8fbebde347f50.png",
    logoImage: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/96d6f2e7e1f705ab5e59c84a6dc009b2/d2b298a9d3257189d9047cdcd304715b/bd686fd640be98efaae0091fa301e613/114d7c5b964255ba1e2763837240e087.png",
    heroImageSrcSet: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/78d7725527a42b360940c5e471b84a3b/5c08571014b2314d028afb443c76951d/075a3e36a0a52dcbc568c05788e8a713/d6baf65e0b240ce177cf70da146c8dc8/5f2255c585c1873f476eca7ae0767178.png 264w,https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/78d7725527a42b360940c5e471b84a3b/5c08571014b2314d028afb443c76951d/075a3e36a0a52dcbc568c05788e8a713/cee631121c2ec9232f3a2f028ad5c89b/0392818b32472a09b84f2b13908c1243.png 500w,https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/78d7725527a42b360940c5e471b84a3b/5c08571014b2314d028afb443c76951d/075a3e36a0a52dcbc568c05788e8a713/7a53928fa4dd31e82c6ef826f341daec/8ba6ebc7ab236987feeb1b2fc82b72b9.png 800w,https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/78d7725527a42b360940c5e471b84a3b/5c08571014b2314d028afb443c76951d/075a3e36a0a52dcbc568c05788e8a713/a9b7ba70783b617e9998dc4dd82eb3c5/536e798a6b4ff16f87e8fbebde347f50.png 1000w,",
    logoImageSrcSet: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/96d6f2e7e1f705ab5e59c84a6dc009b2/d2b298a9d3257189d9047cdcd304715b/bd686fd640be98efaae0091fa301e613/114d7c5b964255ba1e2763837240e087.png 193w,",
    heroImageSizes: "(max-widgth: 800) 100vw, 800px",
    logoImageSizes: "(max-widgth: 193) 100vw, 193px"
  };

  var css_248z$2 = ".weaveroo-dimension-module-1-img{zoom:1.4!important}#weaveroo-dimension-module-1 .weaverz-ai-red-text{font-size:16px;font-weight:600;font-stretch:normal;font-style:normal;line-height:1.38;letter-spacing:-.48px;text-align:left;color:#ff4e00;border-bottom:1px solid #ff4e00;display:inline-block;margin-bottom:6px}#weaveroo-dimension-module-1 .weaverz-ai-feature-heading{font-size:28px;font-weight:700;font-stretch:normal;font-style:normal;padding-top:20px;line-height:1.36;letter-spacing:-.84px;text-align:center;color:#3c3c3c;border-bottom:1px solid #3c3c3c;display:inline-block;margin-bottom:30px}";
  styleInject(css_248z$2);

  const DimensionModule1 = props => {
    const {
      heading,
      dimImg,
      dimSrcSet,
      dimSizes,
      sideImg,
      color,
      Height,
      Width,
      Depth
    } = props;
    return /*#__PURE__*/React__default['default'].createElement(React__default['default'].Fragment, null, /*#__PURE__*/React__default['default'].createElement("section", {
      id: "weaveroo-dimension-module-1",
      className: "weaverz-ai-mx-auto weaverz-ai-layout-wrap lg:weaverz-ai-mt-12 sm:weaverz-ai-mt-0  weaverz-ai-bg-gray-50 weaverz-ai-p-4"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-container"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-text-center"
    }, /*#__PURE__*/React__default['default'].createElement("h3", {
      className: "weaverz-ai-font-opensans weaverz-ai-feature-heading"
    }, heading)), /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-flex weaverz-ai-flex-wrap weaverz-ai-overflow-hidden"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-w-full weaverz-ai-overflow-hidden weaverz-ai-self-center sm:weaverz-ai-w-full md:weaverz-ai-w-4/12 lg:weaverz-ai-w-4/12 xl:weaverz-ai-w-4/12"
    }, /*#__PURE__*/React__default['default'].createElement("img", {
      src: sideImg,
      alt: "dimension",
      className: "weaverz-ai-dimension-img"
    })), /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-w-full weaverz-ai-overflow-hidden weaverz-ai-self-center sm:weaverz-ai-w-full md:weaverz-ai-w-3/12 lg:weaverz-ai-w-3/12 xl:weaverz-ai-w-3/12"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-flex weaverz-ai-flex-wrap weaverz-ai-overflow-hidden xl:weaverz-ai-px-20 md:weaverz-ai-px-12 sm:weaverz-ai-px-8 weaverz-ai-px-4 weaverz-ai-py-4 weaverz-ai-text-center"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-w-full weaverz-ai-overflow-hidden"
    }, /*#__PURE__*/React__default['default'].createElement("h6", {
      className: "weaverz-ai-red-text weaverz-ai-font-opensans"
    }, "Colour"), /*#__PURE__*/React__default['default'].createElement("p", {
      className: "weaverz-ai-font-opensans"
    }, color)), /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-w-full weaverz-ai-overflow-hidden"
    }, /*#__PURE__*/React__default['default'].createElement("h6", {
      className: "weaverz-ai-red-text weaverz-ai-font-opensans"
    }, "Height"), /*#__PURE__*/React__default['default'].createElement("p", {
      className: "weaverz-ai-font-opensans"
    }, Height)), /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-w-full weaverz-ai-overflow-hidden"
    }, /*#__PURE__*/React__default['default'].createElement("h6", {
      className: "weaverz-ai-red-text weaverz-ai-font-opensans"
    }, "Width"), /*#__PURE__*/React__default['default'].createElement("p", {
      className: "weaverz-ai-font-opensans"
    }, Width)), /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-w-full weaverz-ai-overflow-hidden"
    }, /*#__PURE__*/React__default['default'].createElement("h6", {
      className: "weaverz-ai-red-text weaverz-ai-font-opensans"
    }, "Depth"), /*#__PURE__*/React__default['default'].createElement("p", {
      className: "weaverz-ai-font-opensans"
    }, Depth)))), /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-w-full weaverz-ai-overflow-hidden sm:weaverz-ai-w-full md:weaverz-ai-w-5/12 lg:weaverz-ai-w-5/12 xl:weaverz-ai-w-5/12"
    }, /*#__PURE__*/React__default['default'].createElement("img", {
      sizes: dimImg,
      srcSet: dimSrcSet,
      src: dimSizes,
      alt: "dimension",
      className: "weaverz-ai-dimension-img"
    }))))));
  };
  DimensionModule1.propTypes = {
    heading: PropTypes.string.isRequired,
    dimImg: PropTypes.string.isRequired,
    dimSrcSet: PropTypes.string,
    dimSizes: PropTypes.string,
    sideImg: PropTypes.string.isRequired,
    color: PropTypes.string.isRequired,
    Height: PropTypes.string.isRequired,
    Width: PropTypes.string.isRequired,
    Depth: PropTypes.string.isRequired
  };
  DimensionModule1.defaultProps = {
    heading: "Unboxed Dimensions",
    dimImg: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/78d7725527a42b360940c5e471b84a3b/c37be74d84f98bd288693a6bbee7a334/075a3e36a0a52dcbc568c05788e8a713/da11e8cd1811acb79ccf0fd62cd58f86/f89b7100685771ae5ff8cfc90d7855b7.png",
    dimSrcSet: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/78d7725527a42b360940c5e471b84a3b/c37be74d84f98bd288693a6bbee7a334/075a3e36a0a52dcbc568c05788e8a713/d6baf65e0b240ce177cf70da146c8dc8/5f2255c585c1873f476eca7ae0767178.png 264w,https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/78d7725527a42b360940c5e471b84a3b/c37be74d84f98bd288693a6bbee7a334/075a3e36a0a52dcbc568c05788e8a713/cee631121c2ec9232f3a2f028ad5c89b/0392818b32472a09b84f2b13908c1243.png 500w,https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/78d7725527a42b360940c5e471b84a3b/c37be74d84f98bd288693a6bbee7a334/075a3e36a0a52dcbc568c05788e8a713/7a53928fa4dd31e82c6ef826f341daec/8ba6ebc7ab236987feeb1b2fc82b72b9.png 800w,https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/78d7725527a42b360940c5e471b84a3b/c37be74d84f98bd288693a6bbee7a334/075a3e36a0a52dcbc568c05788e8a713/a9b7ba70783b617e9998dc4dd82eb3c5/536e798a6b4ff16f87e8fbebde347f50.png 1000w,https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/78d7725527a42b360940c5e471b84a3b/c37be74d84f98bd288693a6bbee7a334/075a3e36a0a52dcbc568c05788e8a713/da11e8cd1811acb79ccf0fd62cd58f86/f89b7100685771ae5ff8cfc90d7855b7.png 1280w,",
    dimSizes: "(max-widgth: 800) 100vw, 800px",
    sideImg: "http://weaver-ai-template-syndication-poc.s3-website.ap-south-1.amazonaws.com/static/electric_ceramic_2-4d0f52657ecd685661ae7e4e8f233284.png",
    color: "Silver & black",
    Height: "900 mm",
    Width: "600 mm",
    Depth: "600 mm"
  };

  var css_248z$1 = "section#weaveroo-keyfeatures-module-1 .weaverz-ai-container{margin:auto}section#weaveroo-keyfeatures-module-1 .weaverz-ai-keyfeature-heading{font-size:22px;font-weight:600;font-stretch:normal;font-style:italic;line-height:1.36;letter-spacing:-.66px;color:#fff}section#weaveroo-keyfeatures-module-1 .weaverz-ai-kvp-side-img img{margin:auto!important}section#weaveroo-keyfeatures-module-1 .weaverz-ai-keyfeature-icon{width:53px;height:53px;margin:auto;padding:0;border-radius:5px;display:block;align-items:center;border:1px solid #d8d8d8;background-color:#fff;justify-content:center}section#weaveroo-keyfeatures-module-1 .weaverz-ai-keyfeature-key{font-size:12px;font-weight:700;font-stretch:normal;font-style:normal;line-height:1.42;letter-spacing:-.36px;text-align:center;color:#fff}section#weaveroo-keyfeatures-module-1 .weaverz-ai-keyfeature-value{font-size:10px;font-weight:400;font-stretch:normal;font-style:normal;line-height:1.2;letter-spacing:-.3px;text-align:center;color:#fff}";
  styleInject(css_248z$1);

  const KeyfeaturesModule1 = props => {
    const {
      heading,
      mainImage,
      centerHeading,
      keyfeatures,
      bgColor,
      orientation
    } = props;
    console.log("props", props);
    const styles = {
      bg: {
        backgroundColor: `${bgColor === "" ? `linear-gradient(112deg, #2a2025 4%, #6a6e71 61%, #6a6d71 136%)` : bgColor}`
      }
    };
    return /*#__PURE__*/React__default['default'].createElement(React__default['default'].Fragment, null, /*#__PURE__*/React__default['default'].createElement("section", {
      id: "weaveroo-keyfeatures-module-1",
      className: "weaverz-ai-mx-auto weaverz-ai-layout-wrap lg:weaverz-ai-mt-12 sm:weaverz-ai-mt-0"
    }, orientation === "l" ? /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-container",
      style: styles.bg
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-flex weaverz-ai-flex-wrap weaverz-ai-overflow-hidden"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: `weaverz-ai-w-full weaverz-ai-overflow-hidden weaverz-ai-text-center ${centerHeading ? "" : "weaverz-ai-hidden"}`
    }, /*#__PURE__*/React__default['default'].createElement("h3", {
      className: "weaverz-ai-keyfeature-heading weaverz-ai-font-opensans weaverz-ai-text-center"
    }, heading)), /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-w-full weaverz-ai-overflow-hidden weaverz-ai-self-center sm:weaverz-ai-w-full md:weaverz-ai-w-6/12 lg:weaverz-ai-w-6/12 xl:weaverz-ai-w-6/12  weaverz-ai-py-4 weaverz-ai-kvp-side-img"
    }, /*#__PURE__*/React__default['default'].createElement("img", {
      src: mainImage // srcSet={image?.srcSet}
      // sizes={image?.sizes}
      ,
      className: ""
    })), /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-w-full weaverz-ai-overflow-hidden weaverz-ai-self-center sm:weaverz-ai-w-full md:weaverz-ai-w-6/12 lg:weaverz-ai-w-6/12 xl:weaverz-ai-w-6/12"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-flex weaverz-ai-flex-wrap weaverz-ai-overflow-hidden  weaverz-ai-px-4 weaverz-ai-py-4"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: `weaverz-ai-w-full weaverz-ai-overflow-hidden weaverz-ai-text-center ${centerHeading ? "weaverz-ai-hidden" : ""}`
    }, /*#__PURE__*/React__default['default'].createElement("h3", {
      className: "weaverz-ai-keyfeature-heading weaverz-ai-font-opensans weaverz-ai-text-center"
    }, heading)), /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-w-full weaverz-ai-overflow-hidden"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-flex weaverz-ai-flex-wrap weaverz-ai-overflow-hidden"
    }, keyfeatures && keyfeatures.length ? keyfeatures.map(value => {
      return /*#__PURE__*/React__default['default'].createElement("div", {
        className: "weaverz-ai-w-4/12 weaverz-ai-overflow-hidden sm:weaverz-ai-w-4/12 weaverz-ai-my-4",
        key: value.key
      }, /*#__PURE__*/React__default['default'].createElement("div", {
        className: ""
      }, /*#__PURE__*/React__default['default'].createElement("div", {
        className: "weaverz-ai-keyfeature-icon"
      }, /*#__PURE__*/React__default['default'].createElement("img", {
        src: value.iconImage // srcSet={value?.images?.imageSet?.srcSet}
        // sizes={value?.images?.imageSet?.sizes}
        ,
        className: ""
      })), /*#__PURE__*/React__default['default'].createElement("h5", {
        className: "weaverz-ai-keyfeature-key weaverz-ai-font-opensans"
      }, value.key[0].toUpperCase() + value.key.substring(1)), /*#__PURE__*/React__default['default'].createElement("p", {
        className: "weaverz-ai-keyfeature-value weaverz-ai-font-opensans"
      }, value.value)));
    }) : "")))))) : /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-container",
      style: styles.bg
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-flex weaverz-ai-flex-wrap weaverz-ai-overflow-hidden"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: `weaverz-ai-w-full weaverz-ai-overflow-hidden weaverz-ai-text-center ${centerHeading ? "" : "weaverz-ai-hidden"}`
    }, /*#__PURE__*/React__default['default'].createElement("h3", {
      className: "weaverz-ai-keyfeature-heading weaverz-ai-font-opensans weaverz-ai-text-center"
    }, heading)), /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-w-full weaverz-ai-overflow-hidden weaverz-ai-self-center sm:weaverz-ai-w-full md:weaverz-ai-w-6/12 lg:weaverz-ai-w-6/12 xl:weaverz-ai-w-6/12"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-flex weaverz-ai-flex-wrap weaverz-ai-overflow-hidden  weaverz-ai-px-4 weaverz-ai-py-4"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: `weaverz-ai-w-full weaverz-ai-overflow-hidden weaverz-ai-text-center ${centerHeading ? "weaverz-ai-hidden" : ""}`
    }, /*#__PURE__*/React__default['default'].createElement("h3", {
      className: "weaverz-ai-keyfeature-heading weaverz-ai-font-opensans weaverz-ai-text-center"
    }, heading)), /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-w-full weaverz-ai-overflow-hidden"
    }, /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-flex weaverz-ai-flex-wrap weaverz-ai-overflow-hidden"
    }, keyfeatures && keyfeatures.length ? keyfeatures.map(value => {
      return /*#__PURE__*/React__default['default'].createElement("div", {
        className: "weaverz-ai-w-4/12 weaverz-ai-overflow-hidden sm:weaverz-ai-w-4/12 weaverz-ai-my-4"
      }, /*#__PURE__*/React__default['default'].createElement("div", {
        className: ""
      }, /*#__PURE__*/React__default['default'].createElement("div", {
        className: "weaverz-ai-keyfeature-icon"
      }, /*#__PURE__*/React__default['default'].createElement("img", {
        src: value.iconImage // srcSet={value?.images?.imageSet?.srcSet}
        // sizes={value?.images?.imageSet?.sizes}
        ,
        className: ""
      })), /*#__PURE__*/React__default['default'].createElement("h5", {
        className: "weaverz-ai-keyfeature-key weaverz-ai-font-opensans"
      }, value.key[0].toUpperCase() + value.key.substring(1)), /*#__PURE__*/React__default['default'].createElement("p", {
        className: "weaverz-ai-keyfeature-value weaverz-ai-font-opensans"
      }, value.value)));
    }) : "")))), /*#__PURE__*/React__default['default'].createElement("div", {
      className: "weaverz-ai-w-full weaverz-ai-overflow-hidden weaverz-ai-self-center sm:weaverz-ai-w-full md:weaverz-ai-w-6/12 lg:weaverz-ai-w-6/12 xl:weaverz-ai-w-6/12  weaverz-ai-py-4 weaverz-ai-kvp-side-img"
    }, /*#__PURE__*/React__default['default'].createElement("img", {
      src: mainImage // srcSet={image?.srcSet}
      // sizes={image?.sizes}
      ,
      className: ""
    }))))));
  };
  KeyfeaturesModule1.propTypes = {
    orientation: PropTypes.string,
    bgColor: PropTypes.string,
    heading: PropTypes.string,
    centerHeading: PropTypes.bool,
    mainImage: PropTypes.string,
    keyfeatures: PropTypes.arrayOf(PropTypes.shape({
      iconImage: PropTypes.string.isRequired,
      key: PropTypes.number.isRequired,
      value: PropTypes.number.isRequired
    })).isRequired
  };
  KeyfeaturesModule1.defaultProps = {
    orientation: "l",
    centerHeading: false,
    heading: "Key Features",
    mainImage: "http://weaver-ai-template-syndication-poc.s3-website.ap-south-1.amazonaws.com/static/electric_ceramic_1-ec2035f078782b3fa0bfee0e7c33882b.png",
    keyfeatures: [{
      iconImage: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/737b2c334fb4777acc6dda63c3a5dfe7/296cc9a02b167493f6ff885c48ca71ff/cee631121c2ec9232f3a2f028ad5c89b/0392818b32472a09b84f2b13908c1243.png",
      key: "Colour",
      value: "Silver & black"
    }, {
      iconImage: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/737b2c334fb4777acc6dda63c3a5dfe7/782b37c01675f1869de8d6eb2db1656e/cee631121c2ec9232f3a2f028ad5c89b/0392818b32472a09b84f2b13908c1243.png",
      key: "Hob type",
      value: "Electric ceramic"
    }, {
      iconImage: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/737b2c334fb4777acc6dda63c3a5dfe7/296cc9a02b167493f6ff885c48ca71ff/cee631121c2ec9232f3a2f028ad5c89b/0392818b32472a09b84f2b13908c1243.png",
      key: "Colour",
      value: "Silver & black"
    }, {
      iconImage: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/737b2c334fb4777acc6dda63c3a5dfe7/782b37c01675f1869de8d6eb2db1656e/cee631121c2ec9232f3a2f028ad5c89b/0392818b32472a09b84f2b13908c1243.png",
      key: "Hob type",
      value: "Electric ceramic"
    }, {
      iconImage: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/737b2c334fb4777acc6dda63c3a5dfe7/296cc9a02b167493f6ff885c48ca71ff/cee631121c2ec9232f3a2f028ad5c89b/0392818b32472a09b84f2b13908c1243.png",
      key: "Colour",
      value: "Silver & black"
    }, {
      iconImage: "https://d2zymw45q71xpy.cloudfront.net/static/ce65075f393b1916e66fa833cf299be0/3b721cb7a1d698d720cd1ba1c4e43a59/737b2c334fb4777acc6dda63c3a5dfe7/782b37c01675f1869de8d6eb2db1656e/cee631121c2ec9232f3a2f028ad5c89b/0392818b32472a09b84f2b13908c1243.png",
      key: "Hob type",
      value: "Electric ceramic"
    }],
    bgColor: "#000000"
  };

  function _extends() {
    _extends = Object.assign || function (target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i];

        for (var key in source) {
          if (Object.prototype.hasOwnProperty.call(source, key)) {
            target[key] = source[key];
          }
        }
      }

      return target;
    };

    return _extends.apply(this, arguments);
  }

  var css_248z = ".storybook-button{font-family:Nunito Sans,Helvetica Neue,Helvetica,Arial,sans-serif;font-weight:700;border:0;border-radius:3em;cursor:pointer;display:inline-block;line-height:1}.storybook-button--primary{color:#fff;background-color:#1ea7fd}.storybook-button--secondary{color:#333;background-color:transparent;box-shadow:inset 0 0 0 1px rgba(0,0,0,.15)}.storybook-button--small{font-size:12px;padding:10px 16px}.storybook-button--medium{font-size:14px;padding:11px 20px}.storybook-button--large{font-size:16px;padding:12px 24px}";
  styleInject(css_248z);

  /**
   * Primary UI component for user interaction
   */

  const Button = ({
    primary,
    backgroundColor,
    size,
    label,
    ...props
  }) => {
    const mode = primary ? 'storybook-button--primary' : 'storybook-button--secondary';
    return /*#__PURE__*/React__default['default'].createElement("button", _extends({
      type: "button",
      className: ['storybook-button', `storybook-button--${size}`, mode].join(' '),
      style: backgroundColor && {
        backgroundColor
      }
    }, props), label);
  };
  Button.propTypes = {
    /**
     * Is this the principal call to action on the page?
     */
    primary: PropTypes.bool,

    /**
     * What background color to use
     */
    backgroundColor: PropTypes.string,

    /**
     * How large should the button be?
     */
    size: PropTypes.oneOf(['small', 'medium', 'large']),

    /**
     * Button contents
     */
    label: PropTypes.string.isRequired,

    /**
     * Optional click handler
     */
    onClick: PropTypes.func
  };
  Button.defaultProps = {
    backgroundColor: null,
    primary: false,
    size: 'medium',
    onClick: undefined
  };

  exports.Button = Button;
  exports.Container = Container;
  exports.DimensionModule1 = DimensionModule1;
  exports.DoubleEntityModule1 = DoubleEntityModule1;
  exports.DoubleEntityModule2 = DoubleEntityModule2;
  exports.EntityModule1 = EntityModule1;
  exports.Hero1 = HeroComponent1;
  exports.KeyfeaturesModule1 = KeyfeaturesModule1;
  exports.Test = Test;

  Object.defineProperty(exports, '__esModule', { value: true });

  return exports;

}({}, React));
//# sourceMappingURL=index.es.js.map
